%define anolis_release 1
%define glib2_version 2.16.0
%define dbus_version 1.0
%define gcrypt_version 1.2.2

Name: libgnome-keyring
Version: 3.12.0
Release: %{anolis_release}%{?dist}
Summary: Framework for managing passwords and other secrets
License: GPLv2+ and LGPLv2+
Source0: http://download.gnome.org/sources/libgnome-keyring/3.12/libgnome-keyring-%{version}.tar.xz
URL: http://live.gnome.org/GnomeKeyring

BuildRequires: glib2-devel >= %{glib2_version} vala
BuildRequires: dbus-devel >= %{dbus_version} make
BuildRequires: libgcrypt-devel >= %{gcrypt_version}
BuildRequires: intltool gobject-introspection-devel

Patch0:  libgnome-keyring-vapi-build-fix.patch
Conflicts: gnome-keyring < 2.29.4

%description
gnome-keyring is a program that keep password and other secrets for
users. The library libgnome-keyring is used by applications to integrate
with the gnome-keyring system.

%package devel
Summary: Development files for libgnome-keyring
License: LGPLv2+
Requires: %{name} = %{version}-%{release}
Conflicts: gnome-keyring-devel < 2.29.4
Provides: gnome-keyring-devel = %{version}-%{release}

%description devel
The libgnome-keyring-devel package contains the libraries and
header files needed to develop applications that use libgnome-keyring.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure --disable-gtk-doc --enable-introspection=yes

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%generate_compatibility_deps

%find_lang libgnome-keyring

%check
make check

%files -f libgnome-keyring.lang
%license COPYING
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0
%dir %{abidir}
%{abidir}/libgnome-keyring.dump

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0
%{_datadir}/vala/
%doc %{_datadir}/gtk-doc/

%files doc
%doc AUTHORS NEWS README HACKING

%changelog
* Thu Apr 20 2023 happy_orange <songnannan@linux.alibaba.com> - 3.12.0-1
- init package
